Skip to content
Snippets Groups Projects
Commit cee05a17 authored by Evan Chan's avatar Evan Chan
Browse files

Copy restore-TTY functions from Scala script so binary distros don't need 'scala' installed

parent 81df20e5
No related branches found
No related tags found
No related merge requests found
#!/bin/sh
#!/bin/bash --posix
FWDIR="`dirname $0`"
export SPARK_LAUNCH_WITH_SCALA=1
exec $FWDIR/run spark.repl.Main "$@"
# Copy restore-TTY-on-exit functions from Scala script so spark-shell exits properly even in
# binary distribution of Spark where Scala is not installed
exit_status=127
saved_stty=""
# restore stty settings (echo in particular)
function restoreSttySettings() {
stty $saved_stty
saved_stty=""
}
function onExit() {
if [[ "$saved_stty" != "" ]]; then
restoreSttySettings
fi
exit $exit_status
}
# to reenable echo if we are interrupted before completing.
trap onExit INT
# save terminal settings
saved_stty=$(stty -g 2>/dev/null)
# clear on error so we don't later try to restore them
if [[ ! $? ]]; then
saved_stty=""
fi
$FWDIR/run spark.repl.Main "$@"
# record the exit status lest it be overwritten:
# then reenable echo and propagate the code.
exit_status=$?
onExit
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment